
# avoid empty debuginfo package
%define debug_package %{nil}

Name:    eric
Summary: Python IDE
Version: 4.4.19
Release: 4%{?dist}

License: GPL3+
Group:   Development/Tools
URL:     http://eric-ide.python-projects.org
Source:  http://downloads.sourceforge.net/sourceforge/eric-ide/%{name}4-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Patch1: eric4-4.4.13-shebang.patch
# this is rpmbuild, don't wait on interactive feedback
Patch2: eric4-4.4.19-no_patchPyXML.patch

Source1: http://downloads.sourceforge.net/sourceforge/eric-ide/%{name}4-i18n-cs-%{version}.tar.gz
Source2: http://downloads.sourceforge.net/sourceforge/eric-ide/%{name}4-i18n-de-%{version}.tar.gz
Source3: http://downloads.sourceforge.net/sourceforge/eric-ide/%{name}4-i18n-en-%{version}.tar.gz
Source4: http://downloads.sourceforge.net/sourceforge/eric-ide/%{name}4-i18n-es-%{version}.tar.gz
Source5: http://downloads.sourceforge.net/sourceforge/eric-ide/%{name}4-i18n-fr-%{version}.tar.gz
Source6: http://downloads.sourceforge.net/sourceforge/eric-ide/%{name}4-i18n-it-%{version}.tar.gz
Source7: http://downloads.sourceforge.net/sourceforge/eric-ide/%{name}4-i18n-ru-%{version}.tar.gz
Source8: http://downloads.sourceforge.net/sourceforge/eric-ide/%{name}4-i18n-tr-%{version}.tar.gz
Source9: http://downloads.sourceforge.net/sourceforge/eric-ide/%{name}4-i18n-zh_CN.GB2312-%{version}.tar.gz 
Source10: eric4.desktop

Provides: eric4 = %{version}-%{release}

BuildRequires: desktop-file-utils
BuildRequires: PyQt4 PyQt4-webkit
BuildRequires: qscintilla-python
BuildRequires: python

Requires: PyQt4 PyQt4-webkit
Requires: qscintilla-python

## FIXME: get PyXML patched per eric/README-PyXML.txt
## see https://bugzilla.redhat.com/767737 
# Reading hte code, if PyXML isn't installed, we should fallback to using
# a non-validating parser.  That shouldn't break things with good
# project/config files but it means we can't catch non-conforming xml files
# Can bug upstream to port to a different library than PyXML to regain
# validation of those files
#BuildRequires: PyXML
#Requires: PyXML


# Need this for the documentation
Requires: python-docs
Requires: qt4-designer

%global python_ver %(%{__python} -c "import sys ; print sys.version[:3]")
%global python_sitedir %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")
%global pyqt_ver %(%{__python} -c "from PyQt4 import QtCore; print QtCore.PYQT_VERSION_STR")

%description
eric4 is a full featured Python IDE.


%prep
%setup -q -a 1 -a 2 -a 3 -a 4 -a 5 -a 6 -a 7 -a 8 -a 9 -n eric4-%{version}

# copy language files
mv eric4-%{version}/%{name}/i18n/*.qm %{name}/i18n/
rm -rf %{name}-%{version}

%patch1 -p1 -b .shebang
%patch2 -p1 -b .no_patchPyXML

# add qt4 suffix
sed -i -e 's|"QtToolsPostfix4" : "",|"QtToolsPostfix4" : "-qt4",|' eric/Preferences/__init__.py


%build
# Empty build


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/

%{__python} install.py \
  -i %{buildroot}/ \
  -b %{_bindir} \
  -d %{python_sitedir}

#we have to correct api path to remove %{builddir}
sed -i -e 's|%{buildroot}||' %{buildroot}%{python_sitedir}/eric4config.py

desktop-file-install \
  --dir %{buildroot}%{_datadir}/applications/ \
  --vendor="" \
  %{SOURCE10}

install -m644 -p -D \
  %{buildroot}%{python_sitedir}/eric4/icons/default/eric.png \
  %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/eric4.png

## generate api files
mkdir -p %{buildroot}%{_datadir}/eric/

# %ghost'd api files (package separately?) -- Rex
PyQt4_apis="QtAssistant.api QtCore.api QtGui.api QtNetwork.api QtOpenGL.api QtSql.api QtSvg.api QtXml.api"
PyKDE_apis="dcop.api kdecore.api kdefx.api kdeprint.api kdeui.api kfile.api khtml.api kmdi.api kparts.api kspell.api kutils.api"
for api in $PyQt4_apis $PyKDE_apis ; do
  touch %{buildroot}%{_datadir}/eric/$api
  echo "%ghost %{_datadir}/eric/$api" >> %{name}-files.list
done

# mostly to make rpmlint happier, non-executable-scripts
chmod a+x %{buildroot}%{python_sitedir}/eric4/ThirdParty/brm/bike/parsing/fastparser.py ||:
chmod a+x %{buildroot}%{python_sitedir}/eric4/*.py ||:
chmod a+x %{buildroot}%{python_sitedir}/eric4/uninstall.py
chmod a+x %{buildroot}%{python_sitedir}/eric4/Examples/hallo.py
chmod a+x %{buildroot}%{python_sitedir}/eric4/Examples/rhallo.py
chmod a-x %{buildroot}%{python_sitedir}/eric4/patch_pyxml.py

# add envrionment variables for documentations
# FIXME: try to query for some of these at runtime, instead of setting a static value @ buildtime
# e.g. %_libdir/pkgconfig/Qt.pc has these, but it's currently in qt-devel (rats)
sed -i -e \
  's|exec|QT4DIR=%{_qt4_prefix}\nPYTHONDOCDIR=%{_docdir}/python-docs-%{?python_ver}/html\nQT4DOCDIR=%{_qt4_docdir}/html\nPYQT4DOCDIR=%{_docdir}/PyQt4-devel-%{?pyqt_ver}/html\nexport QT4DIR PYTHONDOCDIR QT4DOCDIR PYQT4DOCDIR\n&|' \
  %{buildroot}%{_bindir}/eric4


%post 
touch --no-create %{_datadir}/icons/hicolor &> /dev/null || :

%postun 
if [ $1 -eq 0 ] ; then
  touch --no-create %{_datadir}/icons/hicolor &> /dev/null
  gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :


%clean
rm -rf %{buildroot}


%files -f %{name}-files.list
%defattr(-,root,root,-)
%doc eric/README* THANKS LICENSE.GPL3
%{_bindir}/eric4*
%{python_sitedir}/eric4config.py*
%{python_sitedir}/eric4/
%{python_sitedir}/eric4plugins/
%{python_sitedir}/eric4.pth

%dir %{_datadir}/eric/
%{_datadir}/applications/*eric4.desktop
%{_datadir}/icons/hicolor/*/*/*

%{_libdir}/qt4/qsci/api/python/*.api
%{_libdir}/qt4/qsci/api/ruby/*.api

%changelog
* Tue Jul 24 2012 Toshio Kuratomi <toshio@fedoraproject.org> - 4.4.19-4
- Disable requirement for PyXML.  This should allow us to build and run eric
  but it won't be able to validate that project files and other config files
  are correct.  We need to do this because PyXML is going away in Fedora.

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.4.19-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.4.19-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Dec 14 2011 Rex Dieter <rdieter@fedoraproject.org> 4.4.19-1
- 4.4.19
- Requires: PyQt4 PyQt4-webkit

* Sat Jun 18 2011 Rex Dieter <rdieter@fedoraproject.org> 4.4.15-1
- 4.4.15

* Mon May 09 2011 Rex Dieter <rdieter@fedoraproject.org> 4.4.14-1
- 4.4.14

* Fri May 06 2011 Rex Dieter <rdieter@fedoraproject.org> 4.4.13-1
- 4.4.13
- .desktop category entry needs improvement (#614716)
- update icon scriptlets

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org>
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Sep 24 2010 Johan Cwiklinski <johan AT x-td DOT be> 4.4.8-1
- 4.4.8

* Tue Aug 02 2010 Johan Cwiklinski <johan AT x-tnd DOT be> 4.4.7-1
- 4.4.7

* Wed Jul 21 2010 David Malcolm <dmalcolm@redhat.com> - 4.4.6-2
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Sun Jul 04 2010 Johan Cwiklinski <johan AT x-tnd DOT be> 4.4.6-1
- 4.4.6

* Sun Jun 13 2010 Johan Cwiklinski <johan AT x-tnd DOT be> 4.4.5-1
- 4.4.5

* Sat May 08 2010 Johan Cwiklinski <johan AT x-tnd DOt be> 4.4.4-1
- 4.4.4

* Tue May 06 2010 Johan Cwiklinski <johan AT x-tnd DOT be> 4.4.3-1
- 4.4.3

* Sat Mar 06 2010 Johan Cwiklinski <johan AT x-tnd DOT be> 4.4.2-1
- 4.4.2

* Sat Feb 06 2010 Johan Cwiklinski <johan AT x-tnd DOT be> 4.4.1-1
- 4.4.1

* Sat Jan 09 2010 Johan Cwiklinski <johan AT x-tnd DOT be> 4.4.0-1
- 4.4.0
- Add italian translation

* Fri Jan 01 2010 Johan Cwiklinski <johan AT x-tnd DOT be> 4.3.10-1
- 4.3.10

* Mon Nov 09 2009 Johan Cwiklinski <johan AT x-tnd DOT be> 4.3.9-1
- 4.3.9

* Wed Oct 28 2009 Rex Dieter <rdieter@fedoraproject.org> 4.3.8-2
- eric:desktop : drop deprecated Application category (#487800)

* Fri Oct 16 2009 Johan Cwiklinski <johan AT x-tnd DOT be> 4.3.8-1
- 4.3.8

* Fri Sep 18 2009 Johan Cwiklinski <johan AT x-tnd DOT be> 4.3.7.1-2
- add default suffix for qt4 apps

* Sun Sep 13 2009 Johan Cwiklinski <johan AT x-tnd DOT be> 4.3.7.1-1
- 4.3.7.1
- add BR on qscintilla-python since qscintilla-python-devel no longer
  requires it

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.3.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sun Jul 5 2009 Johan Cwiklinski <johan AT x-tnd DOT be> 4.3.5-1
- 4.3.5

* Sun May 31 2009 Johan Cwiklinski <johan AT x-tnd DOT be> 4.3.4-1
- 4.3.4

* Tue May 19 2009 Johan Cwiklinski <johan AT x-tnd DOT be> 4.3.3-1
- 4.3.3

* Mon Apr 6 2009 Johan Cwiklinski <johan AT x-tnd DOT be> 4.3.2-1
- 4.3.2

* Sun Mar 8 2009 Johan Cwiklinski <johan AT x-tnd DOT be> 4.3.1-1
- 4.3.1

* Thu Mar 5 2009 Johan Cwiklinski <johan AT x-tnd DOT be> - 4.3.0-3
- Fixed bad 'full_python_ver'

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Feb 9 2009 Johan Cwiklinski <johan AT x-tnd DOT be> 4.3.0-1
- 4.3.0
- Added new translation files (zh_CN)

* Thu Jan 8 2009 Johan Cwiklinski <johan AT x-tnd DOT be> 4.2.5-1
- 4.2.5

* Wed Dec 9 2008 Johan Cwiklinski <johan AT x-tnd DOT be> 4.2.4a-1
- 4.2.4a

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 4.2.3-2
- Rebuild for Python 2.6

* Wed Nov 19 2008 Johan Cwiklinski <johan AT x-tnd DOT be> 4.2.3-1
- 4.2.3

* Wed Oct 8 2008 Johan Cwiklinski <johan AT x-tnd DOT be> 4.2.2a-1
- 4.2.2a

* Sun Sep 7 2008 Johan Cwiklinski <johan AT x-tnd DOT be> 4.2.1-1
- 4.2.1
- no longer noarch package (see bz #456761)
- .ts files from translations should not be included

* Sat Jul 05 2008 Johan Cwiklinski <johan AT x-tnd DOT be> 4.1.6-1
- 4.1.6

* Sat Jun 07 2008  Johan Cwiklinski <johan AT x-tnd DOT be> 4.1.5-1
- 4.1.5

* Wed May 21 2008 Johan Cwiklinski <johan AT x-tnd DOT be> 4.1.4-1
- 4.1.4

* Sat May 17 2008 Johan Cwiklinski <johan AT x-tnd DOT be> 4.1.3-1
- 4.1.3

* Sat Apr 05 2008 Johan Cwiklinski <johan AT x-tnd DOT be> 4.1.2-2
- using qt4-designer and qt4-doc

* Sat Apr 05 2008 Johan Cwiklinski <johan AT x-tnd DOT be> 4.1.2-1
- 4.1.2

* Mon Mar 24 2008 Johan Cwiklinski <johan AT x-tnd DOT be> 4.1.1-2
- Qt4 package was renamed from qt4 to qt

* Sat Mar 01 2008 Johan Cwiklinski <johan AT x-tnd DOT be> 4.1.1-1
- 4.1.1

* Thu Feb 14 2008 Rex Dieter <rdieter@fedoraproject.org> 4.1.0-2
- BR: qscintilla-python-devel
- update Source URLS
- omit superfluous (Build)Requires 

* Mon Feb 04 2008 Johan Cwiklinski <johan AT x-tnd DOT be> 4.1.0-1
- 4.1.0
- Requires PyQt4, not PyQt

* Tue Jan 29 2008 Johan Cwiklinski <johan AT x-tnd DOT be> 4.0.4-4
- define qt_ver and pyqt_ver
- use environment variables to set documentation path
- init preferences to have relevant qt commands suffix
- add PyQt4 as Requires

* Tue Jan 29 2008 Johan Cwiklinski <johan AT x-tnd DOT be> 4.0.4-3
- requires qt4-designer not qt-designer
- BR : qt-devel already required by PyQt-devel
- seems no longer necessary to define qt_ver
- language files were sourced, not installed
- error on language files path

* Wed Jan 28 2008 Dennis Gilmore <dennis@ausil.us> 4.0.4-2
- fix incorrect BuildRequires/Requires  qscintilla-python 

* Wed Jan 28 2008 Dennis Gilmore <dennis@ausil.us> 4.0.4-1
- update to eric4

* Thu Jan 17 2008 Johan Cwiklinski <johan AT x-tnd DOT be> 3.9.5-2
- Add environment variable to set python, qt4 and qt docs path (bug #200856)
- Requires python-doc, qt-designer, qt4-devel and qt4-doc
- BR: PyQt-devel is already needeed by PyQt-qscintilla-devel

* Fri Jan 11 2008 Johan Cwiklinski <johan AT x-tnd DOT be> 3.9.5-1
- Rebuild for last version
- Include the translation files

* Mon Aug 27 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 3.9.2-3
- License: GPL+
- don't set PYTHONOPTIMIZE, let brp-python-bytecompile do it's job,
  addresses selinux issues (#243163, #254421)

* Wed Nov 22 2006 Rex Dieter <rexdieter[AT]users.sf.net> 3.9.2-2
- Provides: eric3 (get ready for PyQt4-based eric4)
- fix biffed %%version's in %%changelog
- simplify %%description

* Mon Nov 13 2006 Rex Dieter <rexdieter[AT]users.sf.net> 3.9.2-1
- 3.9.2 

* Mon Nov 06 2006 Rex Dieter <rexdieter[AT]users.sf.net> 3.9.1-4
- BR: PyQt-qscintilla-devel
- (unversioned) Requires: PyQt-qscintilla

* Thu Sep 07 2006 Rex Dieter <rexdieter[AT]users.sf.net> 3.9.1-3
- include .py[c,o] files again (with no %%ghost'ing)

* Thu Jul 27 2006 Rex Dieter <rexdieter[AT]users.sf.net> 3.9.1-2
- (re)enable PYTHONOPTIMIZE

* Thu Jul 27 2006 Rex Dieter <rexdieter[AT]users.sf.net> 3.9.1-1
- 3.9.1
- gen_sip_api_20060711.tar.gz

* Thu Jul 27 2006 Rex Dieter <rexdieter[AT]users.sf.net> 3.9.0-6
- (re)comment PYTHONOPTIMIZE

* Wed Jul 26 2006 Rex Dieter <rexdieter[AT]users.sf.net> 3.9.0-5
- make fastparser.py eXecutable
- s/$RPM_BUILD_ROOT/%%buildroot/

* Wed Jul 19 2006 Rex Dieter <rexdieter[AT]users.sf.net> 3.9.0-4
- fix fedora > 4 %%ghost'ing case.

* Wed Jul 12 2006 Rex Dieter <rexdieter[AT]users.sf.net> 3.9.0-3
- %%ghost .pyo files

* Thu May 11 2006 Rex Dieter <rexdieter[AT]users.sf.net> 3.9.0-2
- merge -fonts,-api patches into -prefs patch, make it work on
  fc5/python24 too

* Mon May 1 2006 Rex Dieter <rexdieter[AT]users.sf.net> 3.9.0-1
- 3.9.0
- create/own %%{_datadir}/eric, for .api files
- generate .api files for python, PyQt
- %%triggerin PyQt4/PyKDE to (auto)generate .api files

* Wed Apr 19 2006 Rex Dieter <rexdieter[AT]users.sf.net> 3.8.2-3
- --vendor=""

* Mon Apr 10 2006 Rex Dieter <rexdieter[AT]users.sf.net> 3.8.2-2
- cleanup/drop unused bits 
- note PyQt-qscintilla submission (#188496)

* Mon Mar 27 2006 Rex Dieter <rexdieter[AT]users.sf.net> 3.8.2-1
- 3.8.2

* Mon Dec 19 2005 Rex Dieter <rexdieter[AT]users.sf.net> 3.8.1-1
- 3.8.1
- include gen_python_api, gen_sip_api

* Sun Sep 18 2005 Rex Dieter 3.7.2-0.1.kde
- 3.7.2

* Wed Sep 14 2005 Rex Dieter 3.7.1-0.1.kde
- 3.7.1

* Mon Jun 13 2005 Rex Dieter 0:3.6.1-0.1.kde
- cleanup

* Sat Jan 29 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0:3.6.1-0.fdr.1
- 3.6.1
- TODO: package .api files as (one or more) separate .noarch.rpms

* Mon Nov 29 2004 Rex Dieter <rexdieter[AT]users.sf.net> 0:3.5.1-0.fdr.2
- get icons right

* Mon Nov 29 2004 Rex Dieter <rexdieter[AT]users.sf.net> 0:3.5.1-0.fdr.1
- 3.5.1

* Fri Oct 08 2004 Rex Dieter <rexdieter at sf.net> 0:3.5.0-0.fdr.1
- 3.5.0

* Thu Sep 16 2004 Rex Dieter <rexdieter at sf.net> 0:3.4.2-0.fdr.2
- remove Provides: eric3, (redundant) Provides: eric
- allow build going back as far as rh73.

* Sun May 30 2004 Aurelien Bompard <gauret[AT]free.fr> 0:3.4.2-0.fdr.1
- Initial RPM package

